#. Probabilidade e Estatistica
#.. Tema: Apresentaes grficas
#.. Professor: Jos Claudio Faria
# Data: 2024-06-03 14:47:22

#... Pacotes necessrios:
#- fdth
#- plotrix

#... Dados
set.seed(20241)
dados <- rnorm(n=1e3,
               mean=5,
               sd=1)
str(dados)
dados[1:100]

#. TABELA DE DIST. FREQUNCIA
#... Carregando pacote 'fdth'
# install.packages('fdth')
library('fdth')

tb <- fdt(dados)  # funo 'fdt' to pacote fdth
tb

#. HISTOGRAMAS
#.. Freq. Absoluta
plot(tb,
     type='fh',
     v=TRUE,
     x.round=3,
     xlab='Limites das Classes',
     ylab='Frequncia')
           
#.. Freq. Relativa
plot(tb,
     type='rfh',
     v=TRUE,
     x.round=3,
     xlab='Limites das Classes',
     ylab='Frequncia')


#.. Freq. Relativa (percentual)
plot(tb,
     type='rfph',
     v=TRUE,
     x.round=3,
     xlab='Limites das Classes',
     ylab='Frequncia')

#.. Freq. Acumulada
plot(tb,
     type='cfh',
     v=TRUE,
     x.round=3,
     xlab='Limites das Classes',
     ylab='Frequncia')
           
#.. Freq. Acumulada (percentual)
plot(tb,
     type='cfph',
     v=TRUE,
     x.round=3,
     xlab='Limites das Classes',
     ylab='Frequncia')


#. POLGONO DE FREQUNCIA
#.. Frequncia Absoluta
plot(tb,
     v=TRUE,
     type='fp',
     x.round=3,
     ylab='Frequncia',
     xlab='Limites das classes')
            
#.. Frequncia Relativa
plot(tb,
     v=TRUE,
     type='rfp',
     x.round=3,
     ylab='Frequncia',
     xlab='Limites das classes')

#.. Frequncia Relativa (percentual)
plot(tb,
     v=TRUE,
     type='rfpp',
     x.round=3,
     ylab='Frequncia',
     xlab='Limites das classes')

#.. Frequncia Acumulada
plot(tb,
     v=TRUE,
     type='cfp',
     x.round=3,
     ylab='Frequncia',
     xlab='Limites das classes')
           
#.. Frequncia Acumulada (percentual)
plot(tb,
     v=TRUE,
     type='cfpp',
     x.round=3,
     ylab='Frequncia',
     xlab='Limites das classes')

#. BOXPLOT
# Informando algumas informaes utilizadas no boxplot
(summary(dados))

# Boxplot do objeto dados
boxplot(dados,
        main='Diagrama de caixa')

#. DIAGRAMA DE PONTOS (DISPERSO)
plot(rnorm(1e3),
     main='Diagrama de disperso')

str(rock)
pairs(rock[, -3])  # exclui a coluna 'shape'

#. GRFICO POLAR
#... Carregando pacote 'plotrix'
# install.packages('plotrix')
library('plotrix')
  
op <- par(no.readonly=T) # Armazena os valores padres do dispositivo grfico
                         # Os grficos do pacote plotrix abaixo alteram os valores padres

polar.plot(X,
           rp.type='p',
           main='Grfico polar',
           lwd=2,
           line.col=4)

#.. Gfico radial
myD <- rbind(rock[1:10, 1],
             rock[1:10, 2])

dimnames(myD) <- list(c('rea',
                        'Permetro'),
                      paste0('p',
                             1:10))
myD

radial.plot(myD,
           labels= colnames(myD),
           rp.type='p',
           main='Grfico polar',
           lwd=2,
           line.col=2:3,
           clockwise=T,
           radial.labels='',
           #show.grid=FALSE
           )

legend('topleft',
       rownames(myD),
       lwd=2,
       col=2:3,
       title='Legenda')

par(op) # Retorna os parmetros do dispositivo grfico

#. GRFICO EM COLUNAS
# Gerando uma distribuio normal de 10 elementos
# com uma mdia de 700 e desvio padro 80
(salario <- rnorm(n=10,
                  m=700,
                  s=80))

# Gerando o barplot
barplot(salario,
        ylab='Valores',
        main='Salrio',
        col='darkgreen')

abline(h=mean(salario),
       lw=2,
       col=2)

#. GRFICO EM BARRAS
# Gerando o grfico em barras
barplot(salario,
        main='Salrio',
        horiz=TRUE,
        xlab='Valores',
        col='orange')

#. GRFICO EM SETORES (PIZZA)
# Criando um vetor
riqueza <- c(15, 18, 22, 24, 25)

# Setando uma letra para cada elemento do vetor
names(riqueza) <- LETTERS[1:length(riqueza)]
riqueza

pie(riqueza)
  
# sum(riqueza) = soma todos os valores de riqueza
# Round = limita a quantidade de casas decimais aps a vrgula
# Paste = concatena o vetor depois de transformar em caractere
pie(riqueza,
    labels=paste0(100 * round(riqueza/sum(riqueza),
                              2),
                  '%'),
    col=rainbow(5),
    main='Grfico em setores')
    
#. GRFICO EM CURVAS
# Criando um intervalo de -20 a 20
x <- -20:20

# Fazendo y como sendo uma funo aplicada a todos os valores de x
y <- 2 + x^2
  
# Gerando o grfico de curvas
plot(y ~ x,
     type='b',
     xlab='x',
     ylab='f(x)',
     main='Grfico em curvas',
     pch=19)
